Loading...
Searching...
No Matches
RDKit::SLNParseException Class Reference

`#include <SLNParse.h>`

Inheritance diagram for RDKit::SLNParseException:

## Public Member Functions

| SLNParseException (const char *msg)
| SLNParseException (std::string msg)
const char * | what () const noexcept override
| ~SLNParseException () noexcept override=default

## Detailed Description

Definition at line 58 of file SLNParse.h.

## Constructor & Destructor Documentation

## SLNParseException() [1/2]

RDKit::SLNParseException::SLNParseException | ( | const char * | msg | ) |

inline

Definition at line 60 of file SLNParse.h.

## SLNParseException() [2/2]

RDKit::SLNParseException::SLNParseException | ( | std::string | msg | ) |

inline

Definition at line 61 of file SLNParse.h.

## ~SLNParseException()

RDKit::SLNParseException::~SLNParseException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::SLNParseException::what | ( |  | ) | const

inline override noexcept

Definition at line 62 of file SLNParse.h.

The documentation for this class was generated from the following file:

- SLNParse.h